%global forgeurl https://github.com/BenHanson/%{name}/
%global commit f8bb69f459beead2624242db7472981732d64327

Name:           lexertl14
Summary:        C++14 version of lexertl
Version:        0.1.0
%forgemeta
Release:        1%{?dist}

URL:            %{forgeurl}
License:        Boost

Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  dos2unix

# No compiled binaries are installed, so this would be empty.
%global debug_package %{nil}

%global common_description %{expand:
lexertl is a header-only library for writing lexical analysers. With lexertl
you can:

  • Build lexical analysers at runtime
  • Scan Unicode and ASCII input
  • Scan from files or memory
  • Generate C++ code or even write your own code generator}

%description %{common_description}


%package devel
Summary:        %{summary}

Requires:       cmake-filesystem
# Header-only library:
Provides:       %{name}-static = %{version}-%{release}

%description devel %{common_description}


%package examples
Summary:        Examples for %{name}
BuildArch:      noarch

%description examples
%{summary}.


%prep
%forgeautosetup
# Adapt to multilib:
sed -r -i 's@(DESTINATION )lib\b@\1%{_libdir}@' CMakeLists.txt
# Fix line terminations (particularly for files that may be installed)
find . -type f -exec file '{}' '+' |
  grep -E '\bCRLF\b' |
  cut -d ':' -f 1 |
  xargs -r dos2unix


%build
%cmake -DBUILD_TESTING=on
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%license include/lexertl/licence_1_0.txt
%doc README.md

%{_includedir}/lexertl

%{_libdir}/cmake/lexertl


%files examples
%license include/lexertl/licence_1_0.txt
%doc examples/*


%changelog
* Wed Aug 25 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.0-1
- Initial package for EPEL8
